package com.ss.android.ugc.aweme;

import X.1hK;
import X.C22438Ze;
import com.bytedance.covode.number.Covode;

public interface IWatchHistoryApi {
    static {
        Covode.recordClassIndex(50377);
    }

    void LIZ();

    void LIZ(1hK r1, String str);

    void LIZ(String str);

    void LIZIZ();

    C22438Ze LIZJ();

    int LIZLLL();
}
